## thin-provisioning-tools 0.2.1

=== debian/changelog ===
thin-provisioning-tools (0.2.1-1) unstable; urgency=low

  * Initial release. (closes: #690693)
  * Fix build system.

 -- Bastian Blank <waldi@debian.org>  Mon, 01 Jul 2013 19:53:41 +0000

## thin-provisioning-tools 0.7.6

=== functional-tests/crc32c/Makefile ===
crc32c.so: crc32c.o
	gcc -shared -o $@ $< -laio

crc32c.o: crc32c.c
	gcc -std=gnu11 -fpic -I. -Wall -c -o $@ $<

.PHONEY: clean
clean:
	rm -f crc32c.so crc32c.o

## thin-provisioning-tools 0.2.8

=== debian/changelog ===
thin-provisioning-tools (0.2.8-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Blank <waldi@debian.org>  Fri, 22 Nov 2013 11:30:36 +0100

=== debian/control ===
Source: thin-provisioning-tools
Section: admin
Priority: optional
Maintainer: Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>
Build-Depends: debhelper (>= 9), dh-autoreconf, libboost-dev, libexpat1-dev
Standards-Version: 3.9.4
Vcs-Git: git://anonscm.debian.org/pkg-lvm/thin-provisioning-tools.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-lvm/thin-provisioning-tools.git;a=summary

Package: thin-provisioning-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Tools for handling thinly provisioned device-mapper meta-data
 This package contains tools to handle meta-data from the device-mapper
 thin target.  This target allows the use of a single backing store for multple
 thinly provisioned volumes.  Numerous snapshots can be taken from such
 volumes.  The tools can check the meta-data for consistency, repair damaged
 information and dump or restore the meta-data in textual form.

## thin-provisioning-tools 0.3.2

=== debian/changelog ===
thin-provisioning-tools (0.3.2-1ubuntu1) vivid; urgency=medium

  * Use autotools-dev to update config.{sub,guess} for new arches.

 -- Logan Rosen <logan@ubuntu.com>  Tue, 02 Dec 2014 13:34:42 -0500

thin-provisioning-tools (0.3.2-1) unstable; urgency=medium

  * New upstream release.
  * Set Standards-Version to 3.9.5, no changes.

 -- Bastian Blank <waldi@debian.org>  Sun, 18 May 2014 12:38:41 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: thin-provisioning-tools
 Section: admin
 Priority: optional
-Maintainer: Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>
 Uploaders: Bastian Blank <waldi@debian.org>
-Build-Depends: debhelper (>= 9), dh-autoreconf, libboost-dev, libexpat1-dev
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 9), dh-autoreconf, libboost-dev, libexpat1-dev, autotools-dev
+Standards-Version: 3.9.5
 Vcs-Git: git://anonscm.debian.org/pkg-lvm/thin-provisioning-tools.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-lvm/thin-provisioning-tools.git;a=summary

## thin-provisioning-tools 0.5.6

=== debian/changelog ===
thin-provisioning-tools (0.5.6-1ubuntu1) xenial; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Use autotools-dev to update config.{sub,guess} for new arches.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 25 Oct 2015 02:22:35 -0400

thin-provisioning-tools (0.5.6-1) unstable; urgency=medium

  * New upstream release.
  * Build-Depend against libaio-dev.

 -- Bastian Blank <waldi@debian.org>  Wed, 07 Oct 2015 19:35:58 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>
 Uploaders: Bastian Blank <waldi@debian.org>
-Build-Depends: debhelper (>= 9), dh-autoreconf, libboost-dev, libexpat1-dev, autotools-dev
+Build-Depends: debhelper (>= 9), dh-autoreconf, libaio-dev, libboost-dev, libexpat1-dev, autotools-dev
 Standards-Version: 3.9.5
 Vcs-Git: git://anonscm.debian.org/pkg-lvm/thin-provisioning-tools.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-lvm/thin-provisioning-tools.git;a=summary

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with autoreconf,autotools_dev

## thin-provisioning-tools 0.6.1

=== debian/changelog ===
thin-provisioning-tools (0.6.1-4) unstable; urgency=medium

  * Use Debhelper compat level 10.
  * Make buildable with gcc 6. (closes: #811652)

 -- Bastian Blank <waldi@debian.org>  Sat, 09 Jul 2016 20:58:17 +0200

thin-provisioning-tools (0.6.1-3) unstable; urgency=medium

  * Fix unit test workaround to work on 32bit systems.

 -- Bastian Blank <waldi@debian.org>  Sun, 07 Feb 2016 18:58:51 +0100

thin-provisioning-tools (0.6.1-2) unstable; urgency=medium

  * Workaround O_DIRECT usage in unit tests.

 -- Bastian Blank <waldi@debian.org>  Sun, 07 Feb 2016 13:47:38 +0100

thin-provisioning-tools (0.6.1-1) unstable; urgency=medium

  * New upstream version.
  * Set optimization level back to a sane value.
  * Run unit tests during package build

 -- Bastian Blank <waldi@debian.org>  Fri, 05 Feb 2016 19:46:19 +0100

=== debian/control ===
Source: thin-provisioning-tools
Section: admin
Priority: optional
Maintainer: Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-autoreconf,
 libaio-dev,
 libboost-dev,
 libexpat1-dev,
 libgtest-dev,
 google-mock,
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/pkg-lvm/thin-provisioning-tools.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-lvm/thin-provisioning-tools.git;a=summary

Package: thin-provisioning-tools
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Tools for handling thinly provisioned device-mapper meta-data
 This package contains tools to handle meta-data from the device-mapper
 thin target.  This target allows the use of a single backing store for multple
 thinly provisioned volumes.  Numerous snapshots can be taken from such
 volumes.  The tools can check the meta-data for consistency, repair damaged
 information and dump or restore the meta-data in textual form.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_CXXFLAGS_MAINT_APPEND = -std=gnu++98 -fno-delete-null-pointer-checks

include /usr/share/dpkg/default.mk

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-testing \
		--with-optimisation=-O2

override_dh_auto_test:
	-mkdir gmock-1.6.0
	-ln -s /usr/src/gmock/src gmock-1.6.0
	-ln -s /usr/src/gtest gmock-1.6.0/gtest
	$(MAKE) -C debian/unit-tests all
	+LD_PRELOAD=$(CURDIR)/debian/unit-tests/preload.so $(MAKE) unit-test

override_dh_auto_clean:
	rm -rf gmock-1.6.0
	dh_auto_clean
	$(MAKE) -C debian/unit-tests clean

## thin-provisioning-tools 0.7.4

=== debian/changelog ===
thin-provisioning-tools (0.7.4-2ubuntu3) bionic; urgency=medium

  * Don't build the preload object with -O3 on ppc64el, which is what
    actually fixes the build failure.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 19 Mar 2018 15:31:50 -0700

thin-provisioning-tools (0.7.4-2ubuntu1) bionic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/unit-tests/Makefile: Fix linking order to fix FTBFS with ld
      --as-needed.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 12 Nov 2017 21:02:50 -0800

thin-provisioning-tools (0.7.4-2) unstable; urgency=medium

  * Update unit-test workaround to work with current glibc.

 -- Bastian Blank <waldi@debian.org>  Wed, 01 Nov 2017 20:34:04 +0100

thin-provisioning-tools (0.7.4-1) unstable; urgency=medium

  * New upstream release.
  * Drop c++ version workaround.
  * Support current gmock.
  * Update Vcs tags to new repo location.
  * Build-depend on gawk for txt2man.

 -- Bastian Blank <waldi@debian.org>  Wed, 01 Nov 2017 18:21:10 +0100

thin-provisioning-tools (0.6.1-4ubuntu1) zesty; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/unit-tests/Makefile: Fix linking order to fix FTBFS with ld
      --as-needed.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 26 Dec 2016 15:49:11 -0500

thin-provisioning-tools (0.6.1-3ubuntu1) yakkety; urgency=medium

  * debian/unit-tests/Makefile: Fix linking order to fix FTBFS with ld
    --as-needed.

 -- Logan Rosen <logan@ubuntu.com>  Tue, 26 Apr 2016 03:59:41 -0400

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,21 @@
 Source: thin-provisioning-tools
 Section: admin
 Priority: optional
-Maintainer: Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>
 Uploaders: Bastian Blank <waldi@debian.org>
 Build-Depends:
  debhelper (>= 9),
  dh-autoreconf,
+ gawk,
  libaio-dev,
  libboost-dev,
  libexpat1-dev,
  libgtest-dev,
  google-mock,
 Standards-Version: 3.9.5
-Vcs-Git: git://anonscm.debian.org/pkg-lvm/thin-provisioning-tools.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-lvm/thin-provisioning-tools.git;a=summary
+Vcs-Git: https://gitlab.com/debian-lvm/thin-provisioning-tools.git
+Vcs-Browser: https://gitlab.com/debian-lvm/thin-provisioning-tools
 
 Package: thin-provisioning-tools
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/default.mk

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-testing \
		--with-optimisation=-O2

override_dh_auto_test:
	$(MAKE) -C debian/unit-tests all \
		CFLAGS="$$(env DEB_CFLAGS_MAINT_STRIP=-O3 \
			dpkg-buildflags --get CFLAGS)"
	+LD_PRELOAD=$(CURDIR)/debian/unit-tests/preload.so $(MAKE) unit-test GMOCK_DIR=/usr/src/googletest

override_dh_auto_clean:
	dh_auto_clean
	$(MAKE) -C debian/unit-tests clean

## thin-provisioning-tools 0.7.6

=== debian/changelog ===
thin-provisioning-tools (0.7.6-2.1ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/unit-tests/Makefile: Fix linking order to fix FTBFS with ld
      --as-needed.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 22 Apr 2019 14:26:37 -0700

thin-provisioning-tools (0.7.6-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * 0002-fix-FTBFS-against-libaio-0.3.112.patch: new patch, renames
    static raise() function in ft-lib/bcache.c to avoid symbol conflict
    with raise() from signal.h
    (Closes: #924844)

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 31 Mar 2019 11:35:25 +0200

thin-provisioning-tools (0.7.6-2ubuntu1) disco; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/unit-tests/Makefile: Fix linking order to fix FTBFS with ld
      --as-needed.
    - Don't build the preload object with -O3 on ppc64el, which is what
      actually fixes the build failure.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 31 Jan 2019 17:37:49 -0800

thin-provisioning-tools (0.7.6-2) unstable; urgency=medium

  * Fix prototype for open in test preload wrapper. (closes: #893557)
  * Don't call gcc. (closes: #900669)
  * Install tools and modules into initramfs. (closes: #769799, #774560)

 -- Bastian Blank <waldi@debian.org>  Sun, 13 Jan 2019 12:42:46 +0100

thin-provisioning-tools (0.7.6-1) unstable; urgency=medium

  * New upstream release.
  * Set maintainer to team via tracker.debian.org. (closes: #899943)
  * Fix spelling error in description.
  * Don't run tests if asked not to.

 -- Bastian Blank <waldi@debian.org>  Sat, 12 Jan 2019 18:01:30 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>
+XSBC-Original-Maintainer: Debian LVM Team <team+lvm@tracker.debian.org>
 Uploaders: Bastian Blank <waldi@debian.org>
 Build-Depends:
  debhelper (>= 9),
@@ -24,7 +24,7 @@
  ${misc:Depends},
 Description: Tools for handling thinly provisioned device-mapper meta-data
  This package contains tools to handle meta-data from the device-mapper
- thin target.  This target allows the use of a single backing store for multple
+ thin target.  This target allows the use of a single backing store for multiple
  thinly provisioned volumes.  Numerous snapshots can be taken from such
  volumes.  The tools can check the meta-data for consistency, repair damaged
  information and dump or restore the meta-data in textual form.

## thin-provisioning-tools 0.8.5

=== debian/changelog ===
thin-provisioning-tools (0.8.5-4build1) focal; urgency=medium

  * No-change rebuild with fixed binutils on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Feb 2020 11:20:35 +0000

thin-provisioning-tools (0.8.5-4) unstable; urgency=medium

  * Use debhelper 12.
  * Add instructions on how to handle source.

 -- Bastian Blank <waldi@debian.org>  Tue, 07 Jan 2020 11:21:13 +0100

thin-provisioning-tools (0.8.5-3) unstable; urgency=medium

  * Use new source format instead of own rules.
  * Install new dm-cache-smq module into initramfs. (closes: #931514)

 -- Bastian Blank <waldi@debian.org>  Fri, 03 Jan 2020 14:37:26 +0100

thin-provisioning-tools (0.8.5-2) unstable; urgency=medium

  * Update Vcs information. (closes: #930685)
  * Fix tests on ppc platforms.

 -- Bastian Blank <waldi@debian.org>  Sat, 14 Dec 2019 18:24:35 +0100

thin-provisioning-tools (0.8.5-1) unstable; urgency=medium

  * New upstream release.
  * Fix linking the test preload wrapper.

 -- Bastian Blank <waldi@debian.org>  Thu, 12 Dec 2019 22:17:43 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: thin-provisioning-tools
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian LVM Team <team+lvm@tracker.debian.org>
+Maintainer: Debian LVM Team <team+lvm@tracker.debian.org>
 Uploaders: Bastian Blank <waldi@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper-compat (= 12),
  dh-autoreconf,
  gawk,
  libaio-dev,
@@ -14,8 +13,8 @@
  libgtest-dev,
  google-mock,
 Standards-Version: 3.9.5
-Vcs-Git: https://gitlab.com/debian-lvm/thin-provisioning-tools.git
-Vcs-Browser: https://gitlab.com/debian-lvm/thin-provisioning-tools
+Vcs-Git: https://salsa.debian.org/lvm-team/thin-provisioning-tools.git
+Vcs-Browser: https://salsa.debian.org/lvm-team/thin-provisioning-tools
 
 Package: thin-provisioning-tools
 Architecture: any

## thin-provisioning-tools 0.9.0

=== functional-tests/bcache/Makefile ===
bcache.so: bcache.o
	gcc -shared -o $@ $< -laio

bcache.o: bcache.c
	gcc -std=gnu11 -fpic -I. -Wall -c -o $@ $<

.PHONEY: clean
clean:
	rm -f bcache.so bcache.o

=== functional-tests/device-mapper/Makefile ===
dm-ioctl.so: dm-ioctl.o
	gcc -shared -o $@ $< -laio

dm-ioctl.o: dm-ioctl.c
	gcc -std=gnu11 -fpic -I. -Wall -c -o $@ $<

.PHONEY: clean
clean:
	rm -f dm-ioctl.so dm-ioctl.o

=== debian/changelog ===
thin-provisioning-tools (0.9.0-2) unstable; urgency=medium

  * Don't require root for building.
  * Make tests compatible with C++17. (closes: #984366)

 -- Bastian Blank <waldi@debian.org>  Fri, 18 Feb 2022 17:51:09 +0100

thin-provisioning-tools (0.9.0-1) unstable; urgency=medium

  * New upstream release.
  * Build-depend against libboost-iostreams-dev.
  * Make tests work with current Boost. (closes: #973145)
  * Fix man-page generation.
  * Override one lintian warning.

 -- Bastian Blank <waldi@debian.org>  Tue, 17 Nov 2020 20:21:39 +0100

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,12 @@
  dh-autoreconf,
  gawk,
  libaio-dev,
- libboost-dev,
+ libboost-iostreams-dev,
  libexpat1-dev,
  libgtest-dev,
  google-mock,
 Standards-Version: 3.9.5
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/lvm-team/thin-provisioning-tools.git
 Vcs-Browser: https://salsa.debian.org/lvm-team/thin-provisioning-tools

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/default.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-testing \
		--with-optimisation=-O2

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	$(MAKE) -C debian/unit-tests all
	+LD_PRELOAD=$(CURDIR)/debian/unit-tests/preload.so $(MAKE) unit-test GMOCK_DIR=/usr/src/googletest
endif

override_dh_auto_clean:
	dh_auto_clean
	$(MAKE) -C debian/unit-tests clean

## thin-provisioning-tools 1.1.0

=== Makefile ===
V=@

PDATA_TOOLS:=\
	target/release/pdata_tools

$(PDATA_TOOLS):
	$(V) cargo build --release

PREFIX:=/usr
BINDIR:=$(DESTDIR)$(PREFIX)/sbin
DATADIR:=$(DESTDIR)$(PREFIX)/share
MANPATH:=$(DATADIR)/man

STRIP:=strip
INSTALL:=install
INSTALL_DIR = $(INSTALL) -m 755 -d
INSTALL_PROGRAM = $(INSTALL) -m 755
INSTALL_DATA = $(INSTALL) -p -m 644

.SUFFIXES: .txt .8

%.8: %.txt bin/txt2man
	@echo "    [txt2man] $<"
	@mkdir -p $(dir $@)
	$(V) bin/txt2man -t $(basename $(notdir $<)) \
	-s 8 -v "System Manager's Manual" -r "Device Mapper Tools" $< > $@

.PHONY: clean

clean:
	cargo clean
	$(RM) man8/*.8

TOOLS:=\
	cache_check \
	cache_dump \
	cache_metadata_size \
	cache_repair \
	cache_restore \
	cache_writeback \
	thin_check \
	thin_delta \
	thin_dump \
	thin_ls \
	thin_repair \
	thin_restore \
	thin_rmap \
	thin_metadata_size \
	thin_metadata_pack \
	thin_metadata_unpack \
	thin_migrate \
	thin_trim \
	era_check \
	era_dump \
	era_invalidate \
	era_restore

MANPAGES:=$(patsubst %,man8/%.8,$(TOOLS))

install: $(PDATA_TOOLS) $(MANPAGES)
	$(INSTALL_DIR) $(BINDIR)
	$(INSTALL_PROGRAM) $(PDATA_TOOLS) $(BINDIR)
	$(STRIP) $(BINDIR)/pdata_tools
	ln -s -f pdata_tools $(BINDIR)/cache_check
	ln -s -f pdata_tools $(BINDIR)/cache_dump
	ln -s -f pdata_tools $(BINDIR)/cache_metadata_size
	ln -s -f pdata_tools $(BINDIR)/cache_repair
	ln -s -f pdata_tools $(BINDIR)/cache_restore
	ln -s -f pdata_tools $(BINDIR)/cache_writeback
	ln -s -f pdata_tools $(BINDIR)/thin_check
	ln -s -f pdata_tools $(BINDIR)/thin_delta
	ln -s -f pdata_tools $(BINDIR)/thin_dump
	ln -s -f pdata_tools $(BINDIR)/thin_ls
	ln -s -f pdata_tools $(BINDIR)/thin_repair
	ln -s -f pdata_tools $(BINDIR)/thin_restore
	ln -s -f pdata_tools $(BINDIR)/thin_rmap
	ln -s -f pdata_tools $(BINDIR)/thin_metadata_size
	ln -s -f pdata_tools $(BINDIR)/thin_metadata_pack
	ln -s -f pdata_tools $(BINDIR)/thin_metadata_unpack
	ln -s -f pdata_tools $(BINDIR)/thin_migrate
	ln -s -f pdata_tools $(BINDIR)/thin_trim
	ln -s -f pdata_tools $(BINDIR)/era_check
	ln -s -f pdata_tools $(BINDIR)/era_dump
	ln -s -f pdata_tools $(BINDIR)/era_invalidate
	ln -s -f pdata_tools $(BINDIR)/era_restore
	$(INSTALL_DIR) $(MANPATH)/man8
	$(INSTALL_DATA) man8/cache_check.8 $(MANPATH)/man8
	$(INSTALL_DATA) man8/cache_dump.8 $(MANPATH)/man8
	$(INSTALL_DATA) man8/cache_metadata_size.8 $(MANPATH)/man8
	$(INSTALL_DATA) man8/cache_repair.8 $(MANPATH)/man8
	$(INSTALL_DATA) man8/cache_restore.8 $(MANPATH)/man8
	$(INSTALL_DATA) man8/cache_writeback.8 $(MANPATH)/man8
	$(INSTALL_DATA) man8/thin_check.8 $(MANPATH)/man8
	$(INSTALL_DATA) man8/thin_delta.8 $(MANPATH)/man8
	$(INSTALL_DATA) man8/thin_dump.8 $(MANPATH)/man8
	$(INSTALL_DATA) man8/thin_ls.8 $(MANPATH)/man8
	$(INSTALL_DATA) man8/thin_repair.8 $(MANPATH)/man8
	$(INSTALL_DATA) man8/thin_restore.8 $(MANPATH)/man8
	$(INSTALL_DATA) man8/thin_rmap.8 $(MANPATH)/man8
	$(INSTALL_DATA) man8/thin_metadata_size.8 $(MANPATH)/man8
	$(INSTALL_DATA) man8/thin_metadata_pack.8 $(MANPATH)/man8
	$(INSTALL_DATA) man8/thin_metadata_unpack.8 $(MANPATH)/man8
	$(INSTALL_DATA) man8/thin_migrate.8 $(MANPATH)/man8
	$(INSTALL_DATA) man8/era_check.8 $(MANPATH)/man8
	$(INSTALL_DATA) man8/era_dump.8 $(MANPATH)/man8
	$(INSTALL_DATA) man8/era_restore.8 $(MANPATH)/man8
	$(INSTALL_DATA) man8/era_invalidate.8 $(MANPATH)/man8
	$(INSTALL_DATA) man8/thin_trim.8 $(MANPATH)/man8

.PHONY: install

=== debian/changelog ===
thin-provisioning-tools (1.1.0-2ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable (LP: #2085300). Remaining changes:
    -  initramfs-hook: Combine calls to manual_add_modules (LP #2065180)
  * Dropped changes:
    - Disable lto for now, testsuite failures.
      [ Package re-written in Rust ]
    - d/p/raise-level-to-cpp14.patch: raise level to c++14 to fix FTBFS
      [ Package re-written in Rust ]
    - d/unit-tests/preload.c: Remove open64 functions
      [ Removed in 1.1.0-1 ]
  * New changes:
    - Vendorize rust dependencies (LP: #2091303):
      + d/rules: allow builds with vendorized rust dependencies
      + vendor: add vendorized rust dependencies
      + d/p/debian-changes: do not patch Cargo.toml. There is need since
        we are now using vendored dependencies
      + d/p/vendor-remove-unused-deps: remove unused rust dependencies
      + debian/thin-provisioning-tools.*: fix path in initramfs hook
      + d/control:
        - add XS-Vendored-Sources-Rust field
        - fix i386 builds due to rust libraries missing in Ubuntu
        - set X-Cargo-Built-Using field. This is currently redundant
          with Static-Built-Using. Let's set both for now to make sure
          we cover cases where one may be consuming one or another until
          we have an agreement on which should be set

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Thu, 12 Dec 2024 17:58:04 -0300

thin-provisioning-tools (1.1.0-2) unstable; urgency=medium

  * Fix target of all command symlinks. (closes: #1084953)

 -- Bastian Blank <waldi@debian.org>  Wed, 16 Oct 2024 20:50:20 +0200

thin-provisioning-tools (1.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Build new rust implementation.

 -- Bastian Blank <waldi@debian.org>  Thu, 03 Oct 2024 12:36:22 +0200

thin-provisioning-tools (0.9.0-2ubuntu6) oracular; urgency=medium

  * initramfs-hook: Combine calls to manual_add_modules (LP: #2065180)

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 24 May 2024 09:08:36 +0200

thin-provisioning-tools (0.9.0-2ubuntu5) noble; urgency=medium

  * d/unit-tests/preload.c: Remove open64 functions as they are no longer
    needed as a unit-test work around in armhf

 -- Lena Voytek <lena.voytek@canonical.com>  Wed, 03 Apr 2024 13:32:52 -0700

thin-provisioning-tools (0.9.0-2ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:19:19 +0000

thin-provisioning-tools (0.9.0-2ubuntu3) noble; urgency=medium

  * No-change rebuild against libaio1t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 09:17:56 +0000

thin-provisioning-tools (0.9.0-2ubuntu2) noble; urgency=medium

  * d/p/raise-level-to-cpp14.patch: raise level to c++14 to fix FTBFS

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Tue, 02 Jan 2024 13:49:31 -0300

thin-provisioning-tools (0.9.0-2ubuntu1) jammy; urgency=medium

  * Merge with Debian unstable (LP: #1946908). Remaining changes:
    - Disable lto for now, testsuite failures.
  * Dropped changes:
    - d/control, d/rules: force gcc-10 to avoid a gcc-11 FTBFS for now
      (LP #1950028)

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Fri, 18 Mar 2022 09:36:33 -0300

thin-provisioning-tools (0.9.0-1ubuntu3) jammy; urgency=medium

  * d/control, d/rules: force gcc-10 to avoid a gcc-11 FTBFS
    for now (LP: #1950028)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 16 Dec 2021 11:30:28 +0100

thin-provisioning-tools (0.9.0-1ubuntu2) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:25:37 +0200

thin-provisioning-tools (0.9.0-1ubuntu1) hirsute; urgency=medium

  * Disable lto for now, testsuite failures.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 29 Mar 2021 12:01:24 +0200

=== debian/control ===
Source: thin-provisioning-tools
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian LVM Team <team+lvm@tracker.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 dh-sequence-cargo,
 gawk,
 librust-atty-dev [!i386],
 librust-anyhow-dev [!i386],
 librust-base64-dev [!i386],
 librust-byteorder-dev [!i386],
 librust-clap-dev [!i386],
 librust-crc32c-dev [!i386],
 librust-data-encoding-dev [!i386],
 librust-devicemapper-dev [!i386],
 librust-exitcode-dev [!i386],
 librust-fixedbitset-dev [!i386],
 librust-flate2-dev [!i386],
 librust-iovec-dev [!i386],
 librust-indicatif-dev [!i386],
 librust-libc-dev [!i386],
 librust-nom-dev [!i386],
 librust-num-cpus-dev [!i386],
 librust-num-derive-dev [!i386],
 librust-num-traits-dev [!i386],
 librust-quick-xml-dev (>= 0.29) [!i386],
 librust-rand-dev [!i386],
 librust-rangemap-dev [!i386],
 librust-roaring-dev [!i386],
 librust-safemem-dev [!i386],
 librust-threadpool-dev [!i386],
 librust-thiserror-dev [!i386],
 librust-termion-dev [!i386],
 librust-udev-dev [!i386],
 pkgconf [i386],
 libudev-dev [i386],
 libclang-dev [i386],
 libdevmapper-dev [i386],
Standards-Version: 3.9.5
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/lvm-team/thin-provisioning-tools.git
Vcs-Browser: https://salsa.debian.org/lvm-team/thin-provisioning-tools
XS-Vendored-Sources-Rust: adler@1.0.2, aho-corasick@1.1.3, anstream@0.6.15, anstyle-parse@0.2.5, anstyle-query@1.1.1, anstyle-wincon@3.0.4, anstyle@1.0.8, anyhow@1.0.86, atty@0.2.14, autocfg@1.3.0, base64@0.22.1, bindgen@0.69.4, bitflags@1.3.2, bitflags@2.6.0, bytemuck@1.16.3, byteorder@1.5.0, cassowary@0.3.0, cexpr@0.6.0, cfg-if@1.0.0, cfg_aliases@0.2.1, clang-sys@1.8.1, clap@4.5.13, clap_builder@4.5.13, clap_lex@0.7.2, colorchoice@1.0.2, console@0.15.8, crc32c@0.6.8, crc32fast@1.4.2, data-encoding@2.6.0, devicemapper-sys@0.3.0, devicemapper@0.34.3, downcast@0.11.0, duct@0.13.7, either@1.13.0, encode_unicode@0.3.6, env_filter@0.1.2, env_logger@0.11.5, env_logger@0.8.4, errno@0.3.9, exitcode@1.1.2, fastrand@2.1.0, fixedbitset@0.4.2, flate2@1.0.31, fragile@2.0.0, getrandom@0.2.15, glob@0.3.1, hermit-abi@0.1.19, hermit-abi@0.3.9, humantime@2.1.0, indicatif@0.17.8, instant@0.1.13, iovec@0.1.4, is_terminal_polyfill@1.70.1, itertools@0.12.1, lazy_static@1.5.0, lazycell@1.3.0, libc@0.2.155, libloading@0.8.5, libudev-sys@0.1.4, linux-raw-sys@0.4.14, log@0.4.22, memchr@2.7.4, minimal-lexical@0.2.1, miniz_oxide@0.7.4, mockall@0.13.0, mockall_derive@0.13.0, nix@0.29.0, nom@7.1.3, num-derive@0.4.2, num-traits@0.2.19, num_cpus@1.16.0, number_prefix@0.4.0, numtoa@0.1.0, once_cell@1.19.0, os_pipe@1.2.1, pkg-config@0.3.30, portable-atomic@1.7.0, ppv-lite86@0.2.20, predicates-core@1.0.8, predicates-tree@1.0.11, predicates@3.1.2, proc-macro2@1.0.86, quick-xml@0.36.1, quickcheck@1.0.3, quickcheck_macros@1.0.0, quote@1.0.36, rand@0.8.5, rand_chacha@0.3.1, rand_core@0.6.4, rangemap@1.5.1, redox_syscall@0.2.16, redox_termios@0.1.3, regex-automata@0.4.7, regex-syntax@0.8.4, regex@1.10.6, retry@2.0.0, rio@0.9.4, roaring@0.10.6, rustc-hash@1.1.0, rustc_version@0.4.0, rustix@0.38.34, safemem@0.3.3, semver@1.0.23, serde@1.0.204, serde_derive@1.0.204, shared_child@1.0.1, shlex@1.3.0, strsim@0.11.1, syn@1.0.109, syn@2.0.72, tempfile@3.11.0, termion@1.5.6, termtree@0.4.1, thiserror-impl@1.0.63, thiserror@1.0.63, threadpool@1.8.1, tui@0.19.0, udev@0.7.0, unicode-ident@1.0.12, unicode-segmentation@1.11.0, unicode-width@0.1.13, utf8parse@0.2.2, wasi@0.11.0+wasi-snapshot-preview1, zerocopy-derive@0.7.35, zerocopy@0.7.35

Package: thin-provisioning-tools
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Built-Using: ${cargo:Built-Using}
Static-Built-Using: ${cargo:Static-Built-Using}
XB-X-Cargo-Built-Using: ${cargo:X-Cargo-Built-Using}
Description: Tools for handling thinly provisioned device-mapper meta-data
 This package contains tools to handle meta-data from the device-mapper
 thin target.  This target allows the use of a single backing store for multiple
 thinly provisioned volumes.  Numerous snapshots can be taken from such
 volumes.  The tools can check the meta-data for consistency, repair damaged
 information and dump or restore the meta-data in textual form.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

define TOOLS
	cache_check
	cache_dump
	cache_metadata_size
	cache_repair
	cache_restore
	cache_writeback
	thin_check
	thin_delta
	thin_dump
	thin_ls
	thin_repair
	thin_restore
	thin_rmap
	thin_metadata_size
	thin_metadata_pack
	thin_metadata_unpack
	thin_migrate
	thin_trim
	era_check
	era_dump
	era_invalidate
	era_restore
endef

include /usr/share/dpkg/default.mk

export CARGO = /usr/share/cargo/bin/cargo
export CARGO_VENDOR_DIR = vendor
export CARGO_HOME = $(CURDIR)/debian/cargo_home

include /usr/share/rustc/architecture.mk
export DEB_HOST_RUST_TYPE DEB_HOST_GNU_TYPE

%:
	dh $@ --buildsystem=cargo

override_dh_installman: $(foreach i,$(TOOLS),debian/thin-provisioning-tools/usr/share/man/man8/$(i).8)
	dh_installman

override_dh_link:
	dh_link $(foreach i,$(TOOLS),usr/bin/pdata_tools usr/bin/$(i))

debian/thin-provisioning-tools/usr/share/man/%.8: %.txt
	@mkdir -p $(dir $@)
	bin/txt2man -t $(basename $(notdir $<)) -s 8 -v "System Manager's Manual" -r "Device Mapper Tools" $< > $@

VENDOR_TARBALL = thin-provisioning-tools_$(DEB_VERSION_UPSTREAM).orig-$(CARGO_VENDOR_DIR).tar.xz

vendor-tarball-sanity-check:
	if [ -e ../$(VENDOR_TARBALL) ]; then echo "../$(VENDOR_TARBALL) already exists, bailing!"; exit 1; fi

vendor-deps:
	if QUILT_PATCHES=debian/patches quilt applied | grep vendor-remove-unused-deps ; then \
	 echo "Detecting patch on vendor dir applied, aborting."; \
	 exit 1; \
	fi
	rm -rf $(CARGO_VENDOR_DIR)
	# Deliberately don't use the wrapper set in CARGO, as it expects the
	# configure step to have occurred already.
	cargo vendor --manifest-path Cargo.toml $(CARGO_VENDOR_DIR)
	# Remove some crates that aren't useful for us and take up a lot of space
	rm -r \
	 $(CARGO_VENDOR_DIR)/winapi \
	 $(CARGO_VENDOR_DIR)/winapi-* \
	 $(CARGO_VENDOR_DIR)/windows-* \
	 $(CARGO_VENDOR_DIR)/windows_* \
	 # End of list
	# Remove unused and undesirable data files (e.g. test data for vendored crates)
	rm -r \
	 $(CARGO_VENDOR_DIR)/*/tests \
	 $(CARGO_VENDOR_DIR)/zerocopy/testdata \
	 $(CARGO_VENDOR_DIR)/nix/test \
	 # End of list
	# Remove the checksum files to allow us to patch the crates to remove extraneous dependencies
	for crate in $(CARGO_VENDOR_DIR)/*; do \
	 sed -i 's/^{"files":.*"package":"\([a-z0-9]\+\)"}$$/{"files":{},"package":"\1"}/' $$crate/.cargo-checksum.json; \
	done
	# Cleanup temp files
	rm -rf $(CARGO_HOME)

vendor-tarball: vendor-tarball-sanity-check vendor-deps
	tar --sort=name --mtime=@0 --owner=0 --group=0 --numeric-owner --pax-option=exthdr.name=%d/PaxHeaders/%f,delete=atime,delete=ctime -caf ../$(VENDOR_TARBALL) $(CARGO_VENDOR_DIR)

override_dh_auto_configure:
	DEB_CARGO_CRATE=thin-provisioning-tools_$(shell dpkg-parsechangelog --show-field Version) \
	 $(CARGO) prepare-debian $(CARGO_VENDOR_DIR)
	/usr/share/cargo/bin/dh-cargo-vendored-sources
	dh_auto_configure

override_dh_clean:
	dh_clean
	rm -rf $(CARGO_HOME)
